Package org.snpeff.interval

# Class NextProt

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.NextProt

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Interval>`, `TxtSerializable`

public class NextProt extends Marker
NextProt annotation marker

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`NextProt()`
`NextProt(Transcript transcript, int start, int end, String id)`
`NextProt(Transcript transcript, int start, int end, String id, String name)`

## Method Summary

Modifier and Type
Method
Description
`NextProt`
`cloneShallow()`
Perform a shallow clone
`String`
`getName()`
`String`
`getTranscriptId()`
`boolean`
`isDeferredAnalysis()`
Deferred analysis markers must be analyzed after 'standard' ones because their impact depends on other results For instance, a NextProt marker's impact would be different if the variant is synonymous or non-synonymous
`boolean`
`isHighlyConservedAaSequence()`
`void`
`serializeParse(MarkerSerializer markerSerializer)`
Parse a line from a serialized file
`String`
`serializeSave(MarkerSerializer markerSerializer)`
Create a string to serialize to a file
`void`
`setHighlyConservedAaSequence(boolean highlyConservedAaSequence)`
`boolean`
`variantEffect(Variant variant, VariantEffects variantEffects)`
Calculate the effect of this variant

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, shouldApply, toString, union, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NextProt

public NextProt()

### NextProt

public NextProt(Transcript transcript, int start, int end, String id)

### NextProt

public NextProt(Transcript transcript, int start, int end, String id, String name)

## Method Details

### cloneShallow

public NextProt cloneShallow()
Description copied from class: `Marker`
Perform a shallow clone

Overrides:
  `cloneShallow` in class `Marker`

### getName

public String getName()

### getTranscriptId

public String getTranscriptId()

### isDeferredAnalysis

public boolean isDeferredAnalysis()
Deferred analysis markers must be analyzed after 'standard' ones because their impact depends on other results For instance, a NextProt marker's impact would be different if the variant is synonymous or non-synonymous

Overrides:
  `isDeferredAnalysis` in class `Marker`

### isHighlyConservedAaSequence

public boolean isHighlyConservedAaSequence()

### setHighlyConservedAaSequence

public void setHighlyConservedAaSequence(boolean highlyConservedAaSequence)

### serializeParse

public void serializeParse(MarkerSerializer markerSerializer)
Description copied from class: `Marker`
Parse a line from a serialized file

Specified by:
  `serializeParse` in interface `TxtSerializable`
Overrides:
  `serializeParse` in class `Marker`

### serializeSave

public String serializeSave(MarkerSerializer markerSerializer)
Description copied from class: `Marker`
Create a string to serialize to a file

Specified by:
  `serializeSave` in interface `TxtSerializable`
Overrides:
  `serializeSave` in class `Marker`

### variantEffect

public boolean variantEffect(Variant variant, VariantEffects variantEffects)
Description copied from class: `Marker`
Calculate the effect of this variant

Overrides:
  `variantEffect` in class `Marker`